Package org.eclipse.m2m.atl.dsls.tcs.injector

# Class TCSRuntime.RefSetting

java.lang.Object
org.eclipse.m2m.atl.dsls.tcs.injector.TCSRuntime.RefSetting

Enclosing class:
  TCSRuntime

protected class TCSRuntime.RefSetting extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`importContext`

## Constructor Summary

Constructors
Constructor
Description
`RefSetting(TCSRuntime.Context currentContext, Object object, String propertyName, String valueTypeName, String keyName, Object keyValue, String lookIn, String autoCreate, String createAs, boolean importContext, String createIn, Object token)`

## Method Summary

Modifier and Type
Method
Description
`void`
`doIt()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### importContext

protected boolean importContext

## Constructor Details

### RefSetting

public RefSetting(TCSRuntime.Context currentContext, Object object, String propertyName, String valueTypeName, String keyName, Object keyValue, String lookIn, String autoCreate, String createAs, boolean importContext, String createIn, Object token)

## Method Details

### doIt

public void doIt()